=== synfig-studio/src/gui/widgets/CMakeLists.txt ===
target_sources(synfigstudio
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/widget_canvaschooser.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_canvastimeslider.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_color.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_coloredit.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_curves.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_defaults.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_distance.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_enum.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_sublayer.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_filename.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_fontfamily.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_gradient.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_interpolation.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_link.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_time.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_timeslider.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_value.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_vector.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_waypoint.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_waypointmodel.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_keyframe_list.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_bonechooser.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_ruler.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_soundwave.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_timegraphbase.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/widget_timetrack.cpp"
)
