=== synfig-studio/src/synfigapp/actions/CMakeLists.txt ===
target_sources(synfigapp
    PRIVATE
        "${CMAKE_CURRENT_LIST_DIR}/layeractivate.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layeradd.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layeraddframe.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layercopy.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerduplicate.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerembed.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerencapsulate.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerencapsulatefilter.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerencapsulateswitch.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerextract.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerfit.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerlower.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layermove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layermakebline.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerpaint.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerparamconnect.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerparamdisconnect.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerparamset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerparamsetstatic.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerparamunsetstatic.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerraise.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerremove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerresetpose.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layersetdesc.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layersetexcludefromrendering.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/layerzdepthrangeset.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/valuedescconnect.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescconvert.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescdisconnect.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescexport.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedesclink.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescblinelink.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescsetinterpolation.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescremovesmart.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescbonelink.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescskeletonlink.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedesccreatechildbone.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescresetpose.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescbake.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuedescbonesetparent.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/valuenodeadd.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodeconstset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodeconstsetstatic.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodeconstunsetstatic.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodedynamiclistinsert.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodedynamiclistinsertsmart.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodedynamiclistloop.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodedynamiclistremove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodedynamiclistremovesmart.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodedynamiclistrotateorder.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodesetactivebone.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodedynamiclistunloop.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodestaticlistinsert.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodestaticlistinsertsmart.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodestaticlistloop.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodestaticlistremove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodestaticlistremovesmart.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodestaticlistrotateorder.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodestaticlistunloop.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodelinkconnect.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodelinkdisconnect.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenoderemove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenoderename.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/valuenodereplace.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/vectorization.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/waypointadd.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/waypointremove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/waypointset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/waypointsetsmart.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/waypointsimpleadd.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/waypointconnect.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/waypointdisconnect.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/timepointscopy.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/timepointsdelete.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/timepointsmove.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/activepointadd.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/activepointremove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/activepointset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/activepointsetoff.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/activepointseton.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/activepointsetsmart.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/activepointsimpleadd.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/keyframeadd.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/keyframeduplicate.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/keyframeremove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/keyframetoggle.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/keyframeset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/keyframesetdelta.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/keyframewaypointset.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/canvasadd.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/canvasdescriptionset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/canvasidset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/canvasmetadataerase.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/canvasmetadataset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/canvasnameset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/canvasremove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/canvasrenddescset.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/groupaddlayers.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/groupremove.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/groupremovelayers.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/grouprename.cpp"

        "${CMAKE_CURRENT_LIST_DIR}/blinepointtangentmerge.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/blinepointtangentsplit.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/colorset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/editmodeset.cpp"
        "${CMAKE_CURRENT_LIST_DIR}/gradientset.cpp"
)
