=== compilar/synfig/etl/debian/changelog ===
etl (1.5.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1099918)
  * Drop backported patch: it is now obsolete
  * debian/patches:
    + 0001-buildETL-cleanup-dismissed-ETL-dependencies.patch : backported
       patch from upstream to reduce package dependencies
  * Build-Depends:
    - pkgconf
    - libglibmm-2.4-dev
  * Standards-Version: 4.7.1 (no changes required)

 -- Rodolfo Gomes <debian@rodolfo.eng.br>  Sun, 09 Mar 2025 08:10:16 -0300

etl (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0.
  * Build-Depends:
    + pkg-config
    + libglibmm-2.4-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Apr 2022 13:03:21 +1000

etl (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * Backport fix from upstream to provide compatibility with GCC-11, with
    thanks to Rodolfo Ribeiro Gomes for pointing out the relevant commit
    (Closes: #984053)

 -- Stuart Prescott <stuart@debian.org>  Sun, 06 Mar 2022 16:49:38 +1100

etl (1.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Dmitry Smirnov ]
  * New upstream release
  * Rules-Requires-Root: no
  * Standards-Version: 4.5.0
  * "watch" file to track GitHub releases
  * DH to version 13

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 11 Jan 2021 22:39:21 +1100

etl (1.2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Change Maintainer to @lists.debian.org
  * d/watch: Use https protocol

  [ Dmitry Smirnov ]
  * New upstream release.
  * Standards-Version: 4.3.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 30 Jan 2019 14:38:24 +1100

etl (1.2.1-1) unstable; urgency=medium

  * New patch to fix FTBFS with GCC8 (Closes: #897745)
    Thanks, Philip Chung.
  * debhelper & compat to version 11.
  * Standards-Version: 4.1.5.
  * Vcs URLs to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Jul 2018 01:13:18 +1000

etl (1.2.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Bump standards vesion.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Apr 2018 23:14:24 +0200

etl (0.04.19-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream gcc 7 fix. (Closes: #853674)
  * Make test failures fatal to catch such errors earlier.
  * Stop setting the (already default) xz compression.

 -- Adrian Bunk <bunk@debian.org>  Sun, 01 Oct 2017 19:19:36 +0300

etl (0.04.19-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 29 Sep 2015 17:56:09 +1000

etl (0.04.18-1) unstable; urgency=low

  * New upstream release [April 2015].
  * Standards-Version: 3.9.6.
  * Added "debian/gbp.conf".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 May 2015 03:01:19 +1000

etl (0.04.17-1) unstable; urgency=low

  * New upstream release [November 2013].
  * Standards to 3.9.5.
  * As per his request removed Denis Washington from Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 21 Nov 2013 13:33:31 +1100

etl (0.04.16-1) unstable; urgency=low

  * New upstream release [May 2013].
  * Standards to 3.9.4.
  * xz compression for source and binary packages.
  * Minor debian/watch update.
  * Updated my email address; bumped copyright years.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 May 2013 19:36:15 +1000

etl (0.04.15-1) unstable; urgency=low

  * New maintainers (Closes: #665041)
  * New upstream release.
  * imported latest QA changes
  * Packaging update
    + to straight debhelper + dh-autoreconf
    + compat & debhelper to version 9
    + corrected Vcs-Browser URL
    + allow dh_auto_test failure (fixes FTBFS)
    + Maintainer set to d-multimedia

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 12 May 2012 16:24:53 +1000

etl (0.04.13-1) unstable; urgency=low

  * QA Upload
  * Proper orphaning: clean up Uploaders and set Maintainer to QA
  * New upstream release
  * Bump standards-version to 3.8.3 (no changes needed)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 24 Jan 2010 00:24:18 +0100

etl (0.04.12-3) UNRELEASED; urgency=low

  [ Cyril Brulebois ]
  * Update my mail address.

  [ Paul Wise ]
  * Remove me from uploaders, no longer interested in synfig

 -- Cyril Brulebois <kibi@debian.org>  Sat, 28 Feb 2009 18:55:46 +0100

etl (0.04.12-2) unstable; urgency=low

  * Upload to unstable
  * Drop Voria from the package description in line with upstream
  * Switch to debhelper compat level 7
  * Switch from dh_clean -k to dh_prep

 -- Paul Wise <pabs@debian.org>  Wed, 25 Feb 2009 02:24:08 +0900

etl (0.04.12-1) experimental; urgency=low

  * New upstream release
  * Drop upstream ChangeLog since it was empty for this release
  * Wrap the uploaders and build-deps fields
  * Support parallel builds
  * Now compliant with policy 3.8.0

 -- Paul Wise <pabs@debian.org>  Thu, 13 Nov 2008 14:14:35 +0900

etl (0.04.11-1) unstable; urgency=low

  [ Cyril Brulebois ]
  * New upstream release.
  * Move the homepage from “synfig.com” to “synfig.org”.
  * Bump Standards-Version from 3.7.2 to 3.7.3 (no changes needed).

  [ Paul Wise ]
  * Drop the documentation from the package. If you used it, please
    visit the upstream website: http://synfig.org/api/

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Fri, 07 Mar 2008 23:50:42 +0100

etl (0.04.10-1) unstable; urgency=low

  * New upstream release.

 -- Paul Wise <pabs@debian.org>  Thu, 11 Oct 2007 11:04:40 +1000

etl (0.04.10~rc3-1) unstable; urgency=low

  * New upstream release.
  * Add myself to the Uploaders.
  * Add Homepage, Vcs-Browser, and Vcs-Svn fields to the source package.
  * Do not add the following to Build-Depends since only the HTML
    documentation is being generated, not the PDF one:
     - texlive-extra-utils for epstopdf.
     - gs-esp | gs-gpl for gs.
  * No longer ignore make distclean errors, per lintian.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Tue, 09 Oct 2007 01:50:24 +0200

etl (0.04.09-1) unstable; urgency=low


