=== compilar/synfig/synfig/debian/changelog ===
synfig (1.5.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: removed unneeded ones
    - binutils
    - libboost-all-dev
    - libcairo-dev
    - libpango1.0-dev
  * debian/patches:
    + 0001-buildETL-cleanup-dismissed-ETL-dependencies.patch : backported
       patch from upstream to reduce package dependencies
    - 2709.patch : patched in upstream
    - strip-build-date.patch : patched in upstream
  * Standards-Version: 4.7.2. (no changes required)

 -- Rodolfo Gomes <debian@rodolfo.eng.br>  Sat, 22 Mar 2025 17:34:19 -0300

synfig (1.5.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (Closes: #1063004)
  * Bump debhelper compat to v13.
  * debian/rules: Use execute_after syntax when available.
  * debian/not-installed: Add to exclude installation of .la files.
  * debian/libsynfig0a.install: Dropped, binary package now gone.
  * debian/control: Drop useless build-dependency autopoint.
  * debian/control: Update build-dependencies:
    + libgl1-mesa-dev => libgl-dev
    + libfontconfig1-dev => libfontconfig-dev
    + libfreetype6-dev => libfreetype-dev

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Jul 2024 15:03:39 -0400

synfig (1.5.1+dfsg-3.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Sun, 04 Feb 2024 11:45:00 +0000

synfig (1.5.1+dfsg-3) unstable; urgency=medium

  * New upstream patch to fix FTBFS with ffmpeg-5.0 (Closes: #1013460).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 05 Jul 2022 15:06:27 +1000

synfig (1.5.1+dfsg-2) unstable; urgency=medium

  * New upstream patch to fix FTBFS/tests on i686.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 27 Apr 2022 16:31:24 +1000

synfig (1.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + fixed FTBFS issues (Closes: #1008386, #1007167).
  * Standards-Version: 4.6.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Apr 2022 13:51:25 +1000

synfig (1.4.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Dmitry Smirnov ]
  * relax to recommend (not depend on) libdv-bin;
    closes: bug#980418, thanks to Helmut Grohne

  [ Jonas Smedegaard ]
  * add patch cherry-picked upstream to support MLT++-7 in autotools;
    closes: bug#993832, thanks to Adrian Bunk and peter green

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Sep 2021 14:09:28 +0200

synfig (1.4.0+dfsg-2) unstable; urgency=medium

  * dev: added missing dependencies.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 12 Jan 2021 17:21:12 +1100

synfig (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * No longer build with '--with-opengl' due to FTBFS.
  * Marked synfig "Multi-Arch: foreign" (Closes: #921142).
    Thanks, Helmut Grohne.
  * Rules-Requires-Root: no
  * rules: removed "--as-needed".
  * Build-Depends:
    + libavcodec-dev
    + libavformat-dev
    + libavutil-dev
    + libswscale-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 11 Jan 2021 22:58:48 +1100

synfig (1.2.2+dfsg-3) unstable; urgency=medium

  * Team upload
  * debian/patches: Apply upstream patch to fix build with icu 67 (Closes:
    #962069)
  * Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 08 Jun 2020 23:41:58 +0200

synfig (1.2.2+dfsg-2) unstable; urgency=medium

  * Re-build to fix segfaults due to ABI breakage somewhere (Closes: #941633).
  * Build using '--with-opengl';
    Build-Depends += "libgl1-mesa-dev"
  * DH to version 12
  * "watch" file to track GitHub releases.
    SourceForge tarball is incomplete...

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 18 Dec 2019 14:52:12 +1100

synfig (1.2.2-1) unstable; urgency=medium

  [ Alexis Bienvenüe ]
  * New reproducible buiild patch (Closes: #820072).

  [ Dmitry Smirnov ]
  * New upstream release.
  * Standards-Version: 4.3.0.
  * debhelper & compat to version 11.
  * VCS URLs to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 31 Jan 2019 17:41:06 +1100

synfig (1.2.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Rename libsynfig0v5 to libsynfig0a. Upstream symbol version changes
    without bumping the soname.
  * Update (build) dependency on etl-dev. Closes: #895503.
  * Stop building the -dbg package.
  * Build-depend on intltool and libfftw3-dev.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Apr 2018 13:09:54 +0200

synfig (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends:
    - etl-dev (>= 0.04.18)
    + etl-dev (>= 0.04.19)
  * Disabled "no-mod_ffmpeg.patch".
  * New "c++11.patch" to fix FTBFS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Nov 2015 20:57:05 +1100

synfig (1.0-2) unstable; urgency=medium

  * Team upload.
  * Rename libsynfig0 to libsynfig0v5 for the GCC 5 transition. (Closes:
    #797994)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 07 Sep 2015 20:03:32 +0200

synfig (1.0-1) unstable; urgency=low

  * New upstream release [April 2015].
  * Build-Depends:
    - etl-dev (>= 0.04.17)
    + etl-dev (>= 0.04.18)
    + libmlt-dev
    + libmlt++-dev
  * Dropped obsolete "hurd-path_max.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 May 2015 09:33:13 +1000

synfig (0.64.2-2) unstable; urgency=medium

  * New "hurd-path_max.patch" to fix FTBFS on GNU Hurd.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 18 Nov 2014 11:35:00 +1100

synfig (0.64.2-1) unstable; urgency=medium

  * New upstream release [October 2014].
  * Added "debian/gbp.conf".
  * Standards-Version: 3.9.6.
  * Breaks: synfigstudio (<< 0.64.2).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Oct 2014 23:09:19 +1100

synfig (0.64.1-2) unstable; urgency=medium

  * Build using "--with-boost-libdir" to fix FTBFS with multi-arch Boost
    (Closes: #738379).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 10 Feb 2014 21:05:10 +1100

synfig (0.64.1-1) unstable; urgency=low

  * New upstream release [November 2013].

