=== compilar/synfig/synfigstudio/debian/changelog ===
synfigstudio (1.5.3-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0.

 -- Rodolfo Gomes <debian@rodolfo.eng.br>  Sat, 22 Mar 2025 17:34:19 -0300

synfigstudio (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 10 Apr 2022 19:44:58 +1000

synfigstudio (1.4.0+dfsg-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * New upstream release.
  * Rules-Requires-Root: no
  * Standards-Version: 4.5.0
  * rules: `ln` verbosity
  * rules: removed "--as-needed"
  * "watch" file to track GitHub releases.
  * Removed "libgtk2.0-dev" from Build-Depends (Closes: #967765).
  * Build-Depends:
    + libavcodec-dev
    + libavformat-dev
    + libavutil-dev
    + libswscale-dev

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Changed Maintainer from @lists.alioth.debian.org to @lists.debian.org
  * Bump Standards-Version to 4.4.1
  * d/watch: Use https protocol

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 12 Jan 2021 18:52:19 +1100

synfigstudio (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * dbgsym-migration: dropped -dbg package.
  * Debhelper & compat to version 11.
  * Standards-Version: 4.3.0
  * Priority: optional.
  * VCS URLs to Salsa.
  * New patch to remove embedded copy of PKG_CHECK_MODULES (Closes: #900433).
    Thanks, Helmut Grohne.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 31 Jan 2019 20:18:41 +1100

synfigstudio (1.2.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. Closes: #883594.
  * Update build dependency on font packages. Closes: #895162.
  * Build-depend on pkg-config and libfftw3-dev.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Apr 2018 21:14:59 +0200

synfigstudio (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends:
    - etl-dev (>= 0.04.18)
    + etl-dev (>= 0.04.19)
    - libsynfig-dev (>= 0.64.2)
    + libsynfig-dev (>= 1.0.2)
    - synfig (>= 1.0)
    + synfig (>= 1.0.2)
    + libmagick++-dev
  * New "c++11.patch" to fix FTBFS (Closes: #803037).
  * Removed .menu file (command-in-menu-file-and-desktop-file).
  * control: modernise Vcs-Browser URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Nov 2015 20:54:13 +1100

synfigstudio (1.0-1) unstable; urgency=medium

  * New upstream release [April 2015].
  * Dropped all backported patches.
  * Build-Depends:
    - etl-dev (>= 0.04.17)
    + etl-dev (>= 0.04.18)
    - libgtkmm-2.4-dev
    + libgtkmm-3.0-dev
    + libmlt-dev
    + libmlt++-dev
    - synfig (>= 0.64.1)
    + synfig (>= 1.0)

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 May 2015 19:05:33 +1000

synfigstudio (0.64.2-2) unstable; urgency=medium

  * Added two new upstream patches for compatibility with Glib-2.42
    (Closes: #772748).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 13 Dec 2014 16:22:23 +1100

synfigstudio (0.64.2-1) unstable; urgency=medium

  * New upstream release [October 2014].
  * Build-Depenbds: libsynfig-dev (>= 0.64.2).
  * Added "debian/gbp.conf".
  * Standards-Version: 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Oct 2014 23:28:28 +1100

synfigstudio (0.64.1-1) unstable; urgency=low

  * New upstream release [November 2013].
  * Standards to 3.9.5.
  * Build-Depends on new "etl-dev (>= 0.04.17)", "synfig (>= 0.64.1)",
    "libsynfig-dev (>= 0.64.1)".
  * As per his request removed Denis Washington from Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 21 Nov 2013 15:33:31 +1100

synfigstudio (0.64.0-2) unstable; urgency=low

  * Re-build to introduce versioned dependency on libsynfig
    (Closes: #709779).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 14 Sep 2013 15:34:09 +1000

synfigstudio (0.64.0-1) unstable; urgency=low

  * New upstream release [May 2013].
  * Standards to 3.9.4.
  * xz compression for source and binary packages.
  * Minor debian/watch update.
  * Added "intltool" to Build-Depends and invoke `intltoolize` after
    dh-autoreconf.
  * Updated my email address; bumped copyright years.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 14 May 2013 02:42:38 +1000

synfigstudio (0.63.05-1) unstable; urgency=low

  * New maintainers (Closes: #665045)
  * New upstream release.
  * imported latest QA changes
  * Packaging update
    + to straight debhelper + dh-autoreconf
    + compat & debhelper to version 9
    + standards to 3.9.2
    + use DPKG build flags & default hardening
    + --as-needed to avoid needless linking
    + parallel build by default on linux
    + corrected Vcs-Browser URL
    + build-deps recalculated
    + set d-multimedia as Maintainer
    - install libsynfigapp0 as private library,
      not as standalone package

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sat, 12 May 2012 16:57:32 +1000

synfigstudio (0.62.00-1) unstable; urgency=low

  * QA upload
  * Properly orphan the package (set Maintainer to QA, empty Uploaders)
  * New upstream release
  * Bump build-dep on (lib)synfig to most recent version
  * Bump standards-version to 3.8.3, no changes needed
  * Change section of the "-dbg" package to debug, thanks lintian

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 26 Jan 2010 11:20:50 +0100

synfigstudio (0.61.09-3) UNRELEASED; urgency=low

  [ Cyril Brulebois ]
  * Update my mail address.

  [ Paul Wise ]
  * Remove me from uploaders, no longer interested in synfig

 -- Cyril Brulebois <kibi@debian.org>  Thu, 26 Feb 2009 20:49:33 +0100

synfigstudio (0.61.09-2) unstable; urgency=low

  * Upload to unstable after the lenny freeze
  * Switch to debhelper compat level 7
  * Switch from dh_clean -k to dh_prep
  * Link to the correct versions of the GPL
  * Drop duplicate Priority field for -dbg package

 -- Paul Wise <pabs@debian.org>  Thu, 26 Feb 2009 16:39:59 +0900

synfigstudio (0.61.09-1) experimental; urgency=low

  * New upstream release
  * Drop upstream ChangeLog since it was empty for this release

