=== debian/changelog ===
zdkimfilter (3.20) stable; urgency=low

  * New version 3.20 released

 -- Alessandro Vesely <vesely@tana.it>  Tue, 14 May 2024 14:02:07 +0200

zdkimfilter (3.19) stable; urgency=low

  * New version 3.19 released

 -- Alessandro Vesely <vesely@tana.it>  Thu, 09 May 2024 15:45:07 +0200

zdkimfilter (3.18) stable; urgency=low

  * New version 3.18 released

 -- Alessandro Vesely <vesely@tana.it>  Fri, 19 Apr 2024 16:45:50 +0200

zdkimfilter (3.17) stable; urgency=low

  * New version 3.17 released

 -- Alessandro Vesely <vesely@tana.it>  Tue, 10 Oct 2023 12:49:31 +0200

zdkimfilter (3.16) stable; urgency=low

  * New version 3.16 released

 -- Alessandro Vesely <vesely@tana.it>  Fri, 08 Sep 2023 19:34:49 +0200

zdkimfilter (3.15) stable; urgency=low

  * New version 3.15 released

 -- Alessandro Vesely <vesely@tana.it>  Wed, 29 Mar 2023 11:51:42 +0200

zdkimfilter (3.14) stable; urgency=low

  * New version 3.14 released

 -- Alessandro Vesely <vesely@tana.it>  Fri, 10 Mar 2023 09:32:06 +0100

zdkimfilter (3.13) stable; urgency=low

  * New version 3.13 released

 -- Alessandro Vesely <vesely@tana.it>  Tue, 10 Jan 2023 11:13:04 +0100

zdkimfilter (3.12) stable; urgency=low

  * New version 3.12 released

 -- Alessandro Vesely <vesely@tana.it>  Mon, 02 Jan 2023 13:08:05 +0100

zdkimfilter (3.11) stable; urgency=low

  * New version 3.11 released

 -- Alessandro Vesely <vesely@tana.it>  Wed, 29 Jun 2022 08:57:19 +0200

zdkimfilter (3.10) stable; urgency=low

  * New version 3.10 released

 -- Alessandro Vesely <vesely@tana.it>  Sat, 14 May 2022 18:49:52 +0200

zdkimfilter (3.9) stable; urgency=low

  * New version 3.9 released

 -- Alessandro Vesely <vesely@tana.it>  Thu, 24 Feb 2022 17:54:52 +0100

zdkimfilter (3.8) stable; urgency=low

  * New version 3.8 released

 -- Alessandro Vesely <vesely@tana.it>  Wed, 17 Nov 2021 12:33:35 +0100

zdkimfilter (3.7) stable; urgency=low

  * New version 3.7 released

 -- Alessandro Vesely <vesely@tana.it>  Mon, 11 Oct 2021 12:42:57 +0200

zdkimfilter (3.6) stable; urgency=low

  * New version 3.6 released

 -- Alessandro Vesely <vesely@tana.it>  Mon, 21 Jun 2021 17:09:09 +0200

zdkimfilter (3.5) stable; urgency=low

  * New version 3.5 released

 -- Alessandro Vesely <vesely@tana.it>  Tue, 01 Jun 2021 11:53:10 +0200

zdkimfilter (3.4) stable; urgency=low

  * New version 3.4 released

 -- Alessandro Vesely <vesely@tana.it>  Thu, 20 May 2021 17:27:14 +0200

zdkimfilter (3.3) stable; urgency=low

  * New version 3.3 released

 -- Alessandro Vesely <vesely@tana.it>  Fri, 02 Apr 2021 17:05:08 +0200

zdkimfilter (3.2) stable; urgency=low

  * New version 3.2 released

 -- Alessandro Vesely <vesely@tana.it>  Thu, 25 Feb 2021 11:31:41 +0100

zdkimfilter (3.1) stable; urgency=low

  * New version 3.1 released

 -- Alessandro Vesely <vesely@tana.it>  Tue, 02 Feb 2021 11:06:43 +0100

zdkimfilter (3.0) stable; urgency=low

  * New version 3.0 released

 -- Alessandro Vesely <vesely@tana.it>  Wed, 18 Nov 2020 12:25:49 +0100

zdkimfilter (2.2) stable; urgency=low

  * New version 2.2 released

 -- Alessandro Vesely <vesely@tana.it>  Mon, 31 Aug 2020 17:37:53 +0200

zdkimfilter (2.1) stable; urgency=low

  * New version 2.1 released

 -- Alessandro Vesely <vesely@tana.it>  Wed, 06 May 2020 10:24:40 +0200

zdkimfilter (2.0) stable; urgency=low

  * New version 2.9 released

 -- Alessandro Vesely <vesely@tana.it>  Wed, 25 Mar 2020 19:15:45 +0100

zdkimfilter (1.8) stable; urgency=low

  * New version 1.8 released

 -- Alessandro Vesely <vesely@tana.it>  Tue, 15 Oct 2019 10:01:13 +0200

zdkimfilter (1.7) stable; urgency=low

  * New version 1.7 released

 -- Alessandro Vesely <vesely@tana.it>  Tue, 24 Sep 2019 10:40:09 +0200

zdkimfilter (1.6-1) stable; urgency=low

  * Initial release

 -- Viktor Szépe <viktor@szepe.net>  Tue, 06 Dec 2016 00:01:29 +0000
