=== compilar/synfig/synfig/debian/control ===
Source: synfig
Section: graphics
Priority: optional
Standards-Version: 4.7.2
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 etl-dev (>= 1.5.3~),
 intltool,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libfftw3-dev,
 libfontconfig-dev,
 libfreetype-dev,
 libgl-dev,
 libglibmm-2.4-dev,
 libjpeg-dev,
 libltdl-dev,
 libmagick++-dev,
 libmlt++-dev,
 libmlt-dev,
 libmng-dev,
 libopenexr-dev,
 libpng-dev,
 libsigc++-2.0-dev,
 libswscale-dev,
 libtiff-dev,
 libxml++2.6-dev,
Vcs-Browser: https://salsa.debian.org/multimedia-team/synfig
Vcs-Git: https://salsa.debian.org/multimedia-team/synfig.git
Homepage: http://www.synfig.org/
Rules-Requires-Root: no

Package: synfig
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 synfig-examples,
 synfigstudio,
Description: vector-based 2D animation renderer
 synfig is a vector based 2D animation renderer. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains the command-line renderer, for the GUI animation
 editor, please install synfigstudio.

Package: libsynfig-dev
Section: libdevel
Architecture: any
Depends:
 etl-dev (>= 1.5.3~),
 libfftw3-dev,
 libglibmm-2.4-dev,
 libmlt++-dev,
 libsigc++-2.0-dev,
 libsynfig0t64 (= ${binary:Version}),
 libxml++2.6-dev,
 ${misc:Depends},
Description: synfig library development files
 synfig is a vector based 2D animation package. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains headers and other files needed to develop
 applications using the shared library and plugin modules.

Package: libsynfig0t64
Provides:
 ${t64:Provides},
X-Time64-Compat: libsynfig0a
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
# libav-tools,
 imagemagick,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libdv-bin,
 ${misc:Recommends},
Breaks:
 libsynfig0a (<< ${source:Version}),
 synfigstudio (<< 0.64.2),
Conflicts:
 libsynfig0,
 libsynfig0v5,
Replaces:
 libsynfig0,
 libsynfig0a,
 libsynfig0v5,
Description: render library and plugins for synfig 2D animation
 synfig is a vector based 2D animation package. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains the shared library and plugin modules for it.

Package: synfig-examples
Architecture: all
Multi-Arch: foreign
Suggests:
 synfigstudio,
Conflicts:
 libsynfig-doc,
Replaces:
 libsynfig-doc,
Depends:
 ${misc:Depends},
Description: synfig animation examples
 synfig is a vector based 2D animation renderer. It is designed to be
 capable of producing feature-film quality animation.
 .
 This package contains several examples of synfig animations and stills.
