=== compilar/zdkim/zdkim322/zdkimfilter-3.22/debian/control ===
Source: zdkimfilter
Section: mail
Priority: optional
Maintainer: Alessandro Vesely <vesely@tana.it>
Standards-Version: 4.5.1
Homepage: https://www.tana.it/sw/zdkimfilter/
Build-Depends: debhelper-compat (= 13), autotools-dev, coreutils (>= 9.1),
 libtool, unzip, courier-base, uuid-dev, nettle-dev, zlib1g-dev, libbsd-dev,
 libopendbx1-dev | dbconfig-no-thanks, libgnutls28-dev | libssl-dev,
 libidn2-dev, libunistring-dev, libopendbx1-dev, libopendbx1 | libopendbx1t64,
 libidn2-0, file, perl, pkg-config, po-debconf

Package: zdkimfilter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, courier-mta, ucf (>= 0.28),
 publicsuffix, libopendbx1-mysql | dbconfig-no-thanks,
 libbsd0, libssl1 | libgnutls30 | libgnutls30t64, dbconfig-mysql | dbconfig-no-thanks
Description: DKIM filter for Courier-MTA
 This filter uses a fork of the OpenDKIM Project's library to sign 
 messages from authenticated users, or verify relayed messages and add 
 an Authentication-Results: header field if configured to do so. The 
 source package contains example scripts for building a database to 
 save message details to. Database details allow one to configure 
 sending DMARC aggregate reports.  SPF results are imported from 
 Courier processing. DMARC rejection (as well as historic ADSP) can be 
 enabled or disabled globally and/or on a per-domain basis.
