=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# https://www.debian.org/doc/manuals/maint-guide/dreq.en.html#customrules

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-debian-build


override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/zdkimfilter install
	mkdir -p $(CURDIR)/debian/zdkimfilter/usr/share/dbconfig-common/data/zdkimfilter/install
	sed -nr '/^DROP TABLE IF EXISTS domain;/,/^delimiter ;/p' \
		odbx_example.sql > $(CURDIR)/debian/zdkimfilter/usr/share/dbconfig-common/data/zdkimfilter/install/mysql
	mkdir -p $(CURDIR)/debian/zdkimfilter/usr/share/zdkimfilter
	sed -nr '/^db_sql_domain_flags/,/^db_sql_set_dmarc_agg/p' \
		odbx_example.conf > $(CURDIR)/debian/zdkimfilter/usr/share/zdkimfilter/db_sql.conf
	sed -r '/^Bcc:/d' \
		zaggregate-example.sh > $(CURDIR)/debian/zdkimfilter/usr/share/zdkimfilter/dmarc_send
	chmod a+x $(CURDIR)/debian/zdkimfilter/usr/share/zdkimfilter/dmarc_send
	mv $(CURDIR)/debian/zdkimfilter/etc/courier/filters/zdkimfilter.conf.dist \
		$(CURDIR)/debian/zdkimfilter/usr/share/zdkimfilter/zdkimfilter.conf.orig.dist
	mkdir -p $(CURDIR)/debian/zdkimfilter/usr/share/dbconfig-common/data/zdkimfilter/upgrade/mysql
	cp debian/upgrade_mysql_1.7.sql $(CURDIR)/debian/zdkimfilter/usr/share/dbconfig-common/data/zdkimfilter/upgrade/mysql/1.7
	cp debian/upgrade_mysql_3.0.sql $(CURDIR)/debian/zdkimfilter/usr/share/dbconfig-common/data/zdkimfilter/upgrade/mysql/3.0
	cp debian/upgrade_mysql_3.3.sql $(CURDIR)/debian/zdkimfilter/usr/share/dbconfig-common/data/zdkimfilter/upgrade/mysql/3.3
	cp debian/upgrade_mysql_3.10.sql $(CURDIR)/debian/zdkimfilter/usr/share/dbconfig-common/data/zdkimfilter/upgrade/mysql/3.10
	cp tentative-psddmarc-list.txt $(CURDIR)/debian/zdkimfilter/usr/share/zdkimfilter
